Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.subsumption
Class SubsumptionTreePanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.util.SelectableContainer
                      edu.stanford.smi.protegex.owl.ui.subsumption.SubsumptionTreePanel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.util.Selectable, TreePanel, ClassTreePanel, Hierarchy, NavigationHistorySelectable, ImageObserver, MenuContainer, Serializable

Direct Known Subclasses:
  AssertedSubsumptionTreePanel, EditableSubsumptionTreePanel, HiddenClassesPanel, InferredSubsumptionTreePanel

    public abstract class SubsumptionTreePanel

extends edu.stanford.smi.protege.util.SelectableContainer
implements Hierarchy, ClassTreePanel

A component that displays the computed or asserted subsumption relationship between classes.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `SubsumptionTreePanel.SuperClsesPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static String` | `TYPE`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.actions.TreePanel
`GROUP`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SubsumptionTreePanel(edu.stanford.smi.protege.model.Cls root, edu.stanford.smi.protege.model.Slot subclassesSlot, edu.stanford.smi.protege.model.Slot superclassesSlot, boolean useInferredSuperclasses)`
`SubsumptionTreePanel(edu.stanford.smi.protege.util.LazyTreeRoot treeRoot, edu.stanford.smi.protege.model.Slot superclassesSlot, boolean useInferredSuperclasses)`
`SubsumptionTreePanel(edu.stanford.smi.protege.util.LazyTreeRoot treeRoot, edu.stanford.smi.protege.model.Slot superclassesSlot, boolean useInferredSuperclasses, ResultsViewModelFind findAlg)`

Method Summary
`protected JPopupMenu` | `createPopupMenu(edu.stanford.smi.protege.model.Cls cls)`
`protected ClassTree` | `createSelectableTree(Action viewAction, edu.stanford.smi.protege.util.LazyTreeRoot root)`
`protected Action` | `createViewClsAction()`
`void` | `expandRoot()`
`void` | `extendSelection(edu.stanford.smi.protege.model.Cls cls)`
`JTree` | `getClsesTree()`
`edu.stanford.smi.protege.model.Cls` | `getDisplayParent()`
`edu.stanford.smi.protege.ui.HeaderComponent` | `getHeaderComponent()`
`protected edu.stanford.smi.protege.util.LabeledComponent` | `getLabeledComponent()`
`protected OWLModel` | `getOWLModel()`
`Collection` | `getPathsToRoot(OWLNamedClass cls)`
`List` | `getPathToRoot(OWLNamedClass cls)`
`RDFSClass` | `getSelectedClass()`
`JTree` | `getTree()`
`String` | `getType()` Gets the general type if this Hierarchy (e.g.
`boolean` | `isDefaultSynchronized()` Checks if this Hierarchy shall be by default synchronized with the asserted class tree.
`void` | `removeSelection()`
`void` | `setDisplayParent(edu.stanford.smi.protege.model.Cls cls)`
`void` | `setExpandedCls(edu.stanford.smi.protege.model.Cls cls, boolean expanded)`
`void` | `setFinderComponent(JComponent c)`
`void` | `setRenderer(edu.stanford.smi.protege.util.DefaultRenderer renderer)`
`void` | `setSelectedClass(RDFSClass cls)` Selects a given class in the tree.
`String` | `toString()`
`protected void` | `updateActions()`

Methods inherited from class edu.stanford.smi.protege.util.SelectableContainer
`addSelectionListener, clearSelection, dispose, equals, getSelectable, getSelection, getSoleSelection, notifySelectionListeners, onSelectionChange, removeSelectionListener, setNotificationsEnabled, setSelectable`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.cls.Hierarchy
`createClone, getTitle`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.navigation.NavigationHistorySelectable
`navigateToResource`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### SubsumptionTreePanel

    public SubsumptionTreePanel(edu.stanford.smi.protege.model.Cls root,
                                edu.stanford.smi.protege.model.Slot subclassesSlot,
                                edu.stanford.smi.protege.model.Slot superclassesSlot,
                                boolean useInferredSuperclasses)

### SubsumptionTreePanel

    public SubsumptionTreePanel(edu.stanford.smi.protege.util.LazyTreeRoot treeRoot,
                                edu.stanford.smi.protege.model.Slot superclassesSlot,
                                boolean useInferredSuperclasses)

### SubsumptionTreePanel

    public SubsumptionTreePanel(edu.stanford.smi.protege.util.LazyTreeRoot treeRoot,
                                edu.stanford.smi.protege.model.Slot superclassesSlot,
                                boolean useInferredSuperclasses,
                                ResultsViewModelFind findAlg)

Method Detail

### createPopupMenu

    protected JPopupMenu createPopupMenu(edu.stanford.smi.protege.model.Cls cls)

### createSelectableTree

    protected ClassTree createSelectableTree(Action viewAction,
                                             edu.stanford.smi.protege.util.LazyTreeRoot root)

### createViewClsAction

    protected Action createViewClsAction()

### expandRoot

    public void expandRoot()

### extendSelection

    public void extendSelection(edu.stanford.smi.protege.model.Cls cls)

### getClsesTree

    public JTree getClsesTree()

### getDisplayParent

    public edu.stanford.smi.protege.model.Cls getDisplayParent()

### getHeaderComponent

    public edu.stanford.smi.protege.ui.HeaderComponent getHeaderComponent()

  Specified by:
    `getHeaderComponent` in interface `Hierarchy`

### getLabeledComponent

    protected edu.stanford.smi.protege.util.LabeledComponent getLabeledComponent()

### getOWLModel

    protected OWLModel getOWLModel()

### getPathToRoot

    public List getPathToRoot(OWLNamedClass cls)

### getPathsToRoot

    public Collection getPathsToRoot(OWLNamedClass cls)

### getSelectedClass

    public RDFSClass getSelectedClass()

  Specified by:
    `getSelectedClass` in interface `Hierarchy`

### getType

    public String getType()

  Description copied from interface: `Hierarchy`
  Gets the general type if this Hierarchy (e.g. "Subsumption").

  Specified by:
    `getType` in interface `Hierarchy`
  Returns:
    the type for display purposes

### getTree

    public JTree getTree()

  Specified by:
    `getTree` in interface `TreePanel`

### isDefaultSynchronized

    public boolean isDefaultSynchronized()

  Description copied from interface: `Hierarchy`
  Checks if this Hierarchy shall be by default synchronized with the asserted class tree.

  Specified by:
    `isDefaultSynchronized` in interface `Hierarchy`
  Returns:
    true if this hierarchy shall be synchronized by default

### removeSelection

    public void removeSelection()

### setDisplayParent

    public void setDisplayParent(edu.stanford.smi.protege.model.Cls cls)

### setExpandedCls

    public void setExpandedCls(edu.stanford.smi.protege.model.Cls cls,
                               boolean expanded)

### setFinderComponent

    public void setFinderComponent(JComponent c)

### setRenderer

    public void setRenderer(edu.stanford.smi.protege.util.DefaultRenderer renderer)

### setSelectedClass

    public void setSelectedClass(RDFSClass cls)

  Description copied from interface: `ClassTreePanel`
  Selects a given class in the tree.

  Specified by:
    `setSelectedClass` in interface `ClassTreePanel`
  Specified by:
    `setSelectedClass` in interface `Hierarchy`
  Parameters:
    `cls` - the class to select (and navigate to)

### toString

    public String toString()

  Overrides:
    `toString` in class `edu.stanford.smi.protege.util.SelectableContainer`

### updateActions

    protected void updateActions()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.